<?php
require(dirname(__FILE__) .'/check.php');

Area::CheckIsOutSubmit('alertStr');	// 检测是否外部提交

$pcWap	= OT_MODE;		// 'pc'
$mode	= OT::GetStr('mode');

switch ($mudi){
	case 'buyOrders':
		// 会员中心 订单记录 新增订单填写框
		$userRow = Users::CheckPulgin($mudi, '', $mode);	// alert
		AppBuyOrders::Deal($pcWap);
		break;

	case 'quan':
		// 会员中心 卡密充值
		// $userRow = Users::CheckPulgin($mudi, '', $mode);
		// 内含 判断会员是否登录逻辑代码
		AppQuan::Deal($pcWap);
		break;

	case 'taokeOrder':
		// 会员中心 淘宝商品认领 订单提交
		$userRow = Users::CheckPulgin($mudi, '', $mode);	// alert
		AppTaokeOrder::Deal($pcWap);
		break;

	case 'taokeOrderCheck':
		// 会员中心 淘宝商品认领 订单管理 订单检测
		$userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppTaokeOrder::CheckDeal($pcWap);
		break;

	case 'taokeOrderDel':
		// 会员中心 淘宝商品认领 订单管理 订单删除
		$userRow = Users::CheckPulgin($mudi, '', $mode);	// alert
		AppTaokeOrder::DelDeal($pcWap);
		break;

	case 'taokeOrderJiesuan':
		// 会员中心 淘宝商品认领 订单管理 结算（废弃）
		$userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppTaokeOrder::JiesuanDeal($pcWap);
		break;

	case 'formExcel':
		// 会员中心 表单管理
		$userRow = Users::CheckPulgin($mudi, '', 'alertClose');
		AppForm::ExcelDeal($pcWap);
		break;

	case 'userGroupWork':
		// 会员中心 会员组 领工资
		$userRow = Users::CheckPulgin($mudi, '', $mode);
		AppUserGroupWork::Deal($pcWap);
		break;

	case 'userState1':
		// 会员中心 会员转正
		// 内含 判断会员是否登录逻辑代码
		AppUserState1::Deal($pcWap);
		break;

	case 'userScoreMul':
		// 会员中心 金额兑换积分
		// $userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppMoneyPayDeal::UserScoreMul($pcWap);
		break;

	case 'userGroupXufei':
		// 会员中心 会员组续费/延长
		// 内含 判断会员是否登录逻辑代码
		AppUserGroup::XufeiDeal($pcWap);
		break;

	case 'userGroupKaitong':
		// 会员中心 会员组开通/更换
		// 内含 判断会员是否登录逻辑代码
		AppUserGroup::KaitongDeal($pcWap);
		break;

	case 'workCenter':
		// 会员中心 任务中心 领取
		// 内含 判断会员是否登录逻辑代码
		AppWorkCenter::Deal($pcWap);
		break;

	case 'userViewDel':
		// 会员中心 文章浏览记录 删除
		// 内含 判断会员是否登录逻辑代码
		AppUserView::Del($pcWap);
		break;

	case 'userMarkDel':
		// 会员中心 文章收藏记录 删除
		// 内含 判断会员是否登录逻辑代码
		AppUserMark::Del($pcWap);
		break;

	case 'siteMessagePwd':
		// 站内信息 密码登录框
		AppSiteMessage::PwdDeal($pcWap);
		break;

	case 'siteMessage':
		// 会员中心 站内信息 添加处理
		// 内含 判断前台/后台会员是否登录逻辑代码
		AppSiteMessage::Deal($pcWap);
		break;

	case 'siteMessageReply':
		// 会员中心 站内信息 回复处理
		// 内含 判断前台/后台会员是否登录逻辑代码
		AppSiteMessage::ReplyDeal($pcWap);
		break;

	case 'gainMoney':
		// 会员中心 推广提现 提现记录 提现处理
		$userRow = Users::CheckPulgin($mudi, '', $mode);	// alert
		AppGain::MoneyDeal($pcWap);
		break;

	case 'gainScore':
		// 会员中心 推广提现 提现记录 积分兑换佣金处理
		$userRow = Users::CheckPulgin($mudi, '', $mode);	// alert
		AppGain::ScoreDeal($pcWap);
		break;

	case 'apiKey':
		// 会员中心 API授权码
		$userRow = Users::CheckPulgin($mudi, '', $mode);
		AppSiteApi::Deal($pcWap);
		break;

	case 'diyPay':
		// 会员中心 在线充值页面  手动录入
		$userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppDiyPay::Deal($pcWap);
		break;

	case 'shimingWeixin':
		// 会员中心 资料密码修改 实名认证-微信扫码
		AppNameWeixin::LoginUrl(0,$pcWap);
		break;

	case 'shimingAlipay':
		// 会员中心 资料密码修改 实名认证-支付宝扫码
		AppNameAlipay::LoginUrl(0,$pcWap);
		break;

	case 'shimingRes':
		// 会员中心 资料密码修改 实名认证 检测结果
		$type	= OT::GetStr('type');
		if ($type == 'weixin'){
			AppNameWeixin::CheckRes($pcWap);
		}else{
			AppNameAlipay::CheckRes($pcWap);
		}
		break;

	case 'authSoft':
		// 会员中心 授权软件管理
		// 内含 判断会员是否登录逻辑代码
		AppAuthSoft::Deal($pcWap);
		break;

	case 'authSoftNote':
		// 会员中心 授权软件管理 备注修改
		// 内含 判断会员是否登录逻辑代码
		AppAuthSoft::Rev($pcWap);
		break;

	case 'scoreTo':
		// 会员中心 积分互换
		// 内含 判断会员是否登录逻辑代码
		AppScoreTo::Deal($pcWap);
		break;

	case 'onePage':
		// 会员中心 功能单页
		$userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppOnePage::Deal($pcWap);
		break;

	case 'audioVideo':
		// 会员中心 文章管理 音乐视频库
		$userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppAudioVideo::Deal($pcWap);
		break;

	case 'userApiCancel':
		// 会员API快捷登录 解除绑定
		// 内含 判断会员是否登录逻辑代码
		AppLogin::Cancel($pcWap);
		break;

	case 'workOrderPwd':
		// 工单密码
		AppWorkOrder::PwdDeal(OT_MODE);
		break;

	case 'workOrderInfo':
		// 工单 业务标识读取
		AppWorkOrder::LoadInfo();
		break;

	case 'workOrder':
		// 工单 处理
		AppWorkOrder::Deal();
		break;

	case 'workOrderReply':
		// 工单 回复处理
		AppWorkOrder::ReplyDeal();
		break;


	// ***** 非会员中心 *****
	case 'qiandao':
		// 签到
		$userRow = Users::CheckPulgin($mudi, '', $mode);
		AppQiandao::Deal($pcWap);
		break;

	case 'gift':
		// 积分商城 兑换填写框
		// 内含 判断会员是否登录逻辑代码
		AppGift::Deal($pcWap);
		break;

	case 'form':
		// 多用途表单 提交
		AppForm::Deal($pcWap);
		break;

	case 'logoAdd':
		// 申请友情链接 提交
		AppLogoAdd::Deal($pcWap);
		break;

	case 'wxmpLogin':
		// 微信公众号登录
		AppWeixin::AutoLoginDeal($pcWap);
		break;

	case 'job':
		// 人才招聘
		AppJob::Deal($pcWap);
		break;

	case 'bbsWrite':
		// 简易小论坛 发帖
		AppBbsDeal::Write($pcWap);
		break;

	case 'bbsReply':
		// 简易小论坛 回复
		AppBbsDeal::Reply($pcWap);
		break;

	case 'userView':
		// 文章内容页 加入文章浏览记录
		// 内含 判断会员是否登录逻辑代码
		AppUserView::Deal($pcWap);
		break;

	case 'userMark':
		// 文章内容页 加入收藏
		// 内含 判断会员是否登录逻辑代码
		AppUserMark::Deal($pcWap);
		break;

	case 'report':
		// 文章内容页 加入举报
		// 内含 判断会员是否登录逻辑代码
		AppReport::Deal($pcWap);
		break;

	case 'newsPwd':
		// 文章内容页 付费阅读 内容页正文输入密码可见
		AppNewsPwd::Deal($pcWap);
		break;

	case 'xcxAd':
		// 文章内容页 付费阅读 小程序看广告领奖励
		AppXcxAd::Deal($pcWap);
		break;

	case 'pay':
		// 检测付款结果
		$payOrderId = $payOrderName = $payOrderUrl = $payServerUrl = $payReturnUrl = $payUsername = $payMoney = $payNote = '';
		AppMoneyPayDeal::SubmitPay($pcWap);
		break;

	case 'payCheck':
		// 检测付款结果
		AppMoneyPay::CheckWeb();
		break;

	case 'payQuick':
		// 直接在线支付 - 查询结果处理
		AppMoneyQuick::ReferDeal($pcWap);
		break;

	case 'getGift':
		// 会员中心 抽奖活动 提交
		$userRow = Users::CheckPulgin($mudi, '', 'alertBack');
		AppGetGift::Deal($pcWap);
		break;

	default:
		die('err');

}

$DB->Close();

?>